.main__contact {
  .main__contact__title {
    max-width: 730px;

    h1 {
      small {
        font-size: 56px;
        line-height: 80%;
      }
    }
  }

  .main__contact__container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px;
    align-items: center;

    .contact-form {
      padding-right: 60px;
      display: grid;
      grid-template-columns: 1fr;
      grid-auto-columns: 1fr;
      gap: 20px;
      margin-top: 48px;

      .input-container {
        width: 100%;
        height: auto;
        position: relative;
      }

      input {
        height: 48px;
      }

      input,
      textarea {
        color: #36536b;
        font-size: 15px;
        width: 100%;
        border: none;
        border-bottom: 1px solid rgba(108, 130, 148, 0.8);
        padding: 0 20px;
        background-color: #edf3f8;
      }

      input:focus,
      textarea:focus {
        outline: none;
      }

      .custom-checkbox {
        display: inline-flex;
        cursor: pointer;
        align-items: center;

        input {
          border: none;
          border-bottom: 1px solid rgba(108, 130, 148, 0.8);
          padding: 0 20px;
          background-color: #edf3f8;
        }

        .custom-checkbox-input {
          display: none;
        }

        .custom-checkbox-show {
          display: inline-block;
          width: 24px;
          height: 24px;
          margin-right: 15px;
          background-repeat: no-repeat;
          background-position: center;
          background-size: 60%;
          background-color: #6c8294;
        }

        .custom-checkbox-text {
          line-height: 20px;
          width: 100%;
        }
      }

      button[type="submit"] {
        width: 152px;
        height: 48px;
        border-radius: 48px;
        border: 1px solid #36536b;
        color: #36536b;
        background-color: #edf3f8;
      }

      button[type="submit"]:hover {
        background-color: #36536b;
        color: #fbfcfe;
      }
    }

    .join-message-container {
      h4 {
        font-size: 24px;
        font-weight: 400;
        margin-bottom: 48px;
      }
    }
  }
}

@include xl {
  .main__contact {
    .main__contact__title {
      text-align: center;
      max-width: 573px;
      margin: 0 auto;

      h1 {
        small {
          font-size: 48px;
        }
      }
    }

    .main__contact__container {
      grid-template: auto auto / 1fr;

      .contact-form {
        padding: 0;
        max-width: 500px;
        margin: 48px auto 0;
      }

      .join-message-container {
        text-align: center;
        max-width: 570px;
        margin: 48px auto 0;

        h4 {
          font-size: 24px;
          font-weight: 400;
          margin-bottom: 48px;
        }
      }
    }
  }
}

@include lg {
  .main__contact {
    .main__contact__title {
      h1 {
        font-size: 48px;
      }
    }
  }
}

@include md {
  .main__contact {
    .main__contact__title {
      h1 {
        font-size: 30px;
        line-height: 36px;

        small {
          font-size: 32px;
        }
      }
    }
  }
}
